{% extends 'common/base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load main_tags %}

{% block title %}
    Sign Up
{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8 text-center registration_page_main">
                <h6 class="font-weight-normal registration_page_main_text">Welcome to our social network!
                    We are glad that you decided to register.
                    <p>Let's start!</p>
                </h6>
            </div>
            <div class="col-md-4">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card margin_top_default">
                            <div class="card-body">
                                <h5 class="card-title">Join us!</h5>
                                <form method="post" novalidate enctype="multipart/form-data" action="{% url 'signup' %}">
                                    {% csrf_token %}
                                    <!-- Img input block -->
                                    <div>
                                        <h6 class="mt-4">Add your avatar</h6>
                                        <label class="upload label_like_btn">
                                            <span class="custom_hide" id="u_img" onchange="imgUploadPreviewer(this.id);">
                                                {{ form.avatar }}
                                            </span>
                                            <img src="{% static 'images/ic_photo_camera_24px.png' %}">
                                        </label>
                                    </div>
                                    <!-- Img previewer block -->
                                    <div class="imgShowPreviewer">
                                        <img src="" class="rounded-circle wasAddMesu_imgmsg">
                                    </div>
                                    <div class="text-muted imgReport col"></div>
                                    <button id="cnslprvimg" type="button" class="mt-1 btn btn-sm text-muted cancelPreview custom_hide" onclick="cancelImgUploadPreviewer(this.id);">
                                        <img src="{% static 'images/ic_close_24px.png' %}">
                                    </button>
                                    {{ form.avatar.errors }}
                                    <div>
                                        {{ form.email }}
                                        <label class="text-danger">
                                            {{ form.email.errors }}
                                        </label>
                                        {{ form.username }}
                                        <label class="text-danger">
                                            {{ form.username.errors }}
                                        </label>
                                        {{ form.last_name }}
                                        <label class="text-danger">
                                            {{ form.last_name.errors }}
                                        </label>
                                    </div>
                                    <div class="mt-4">
                                        <h6 class="bmd-label-placeholder font-weight-normal">Your birth day</h6>
                                        {{ form.date_of_birth }}
                                        <label class="text-danger">
                                            {{ form.date_of_birth.errors }}
                                        </label>
                                    </div>
                                    <div class="mt-4">
                                        {{ form.password1 }}
                                        <label class="text-danger">
                                            {{ form.password1.errors }}
                                        </label>
                                    </div>
                                    <div class="mt-2">
                                        {{ form.password2 }}
                                        <label class="text-danger">
                                            {{ form.password2.errors }}
                                        </label>
                                    </div>
                                    <div class="text-center mt-5">
                                        <label>
                                            {{ form.terms_agree }}
                                            I agree to
                                            <a href="#" data-toggle="modal" data-target="#ModalPrivacyPolicy">
                                                Terms and Conditions
                                            </a>
                                            <label class="text-danger">
                                                {{ form.terms_agree.errors }}
                                            </label>
                                        </label>
                                    </div>
                                    <!-- ModalPrivacyPolicy -->
                                    {% get_privacy_policy as privacy %}
                                    <div class="modal fade" id="ModalPrivacyPolicy" tabindex="-1" role="dialog" aria-labelledby="ModalPrivacyPolicyTitle" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title{% if privacy.body is None %} text-danger {% endif %}font-weight-bold" id="ModalPrivacyPolicyTitle">{{ privacy.title }}</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <p class="font-weight-bold text-muted">{% if privacy.body is not None %} Version {% endif %}{{ privacy.version }}</p>
                                                    {{ privacy.body }}
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Got it!</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <p class="mt-4">
                                        <button class="btn btn-primary btn-lg active" type="submit">Sign up</button>
                                    </p>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}